Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface RowSetListener

public interface RowSetListener
extends java.util.EventListener

Implemented by subscribers to events generated by row sets.

A `RowSet` will notify its listeners whenever:

- Attributes of a row in the view change.
- A row is inserted in or deleted from the view.
- The current-row designation changes.

Since:
  JDeveloper 3.0

Method Summary
`void` | `navigated(NavigationEvent event)` Invoked when the current-row designation changes.
`void` | `rangeRefreshed(RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(ScrollEvent event)` Invoked when the range is scrolled.
`void` | `rowDeleted(DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(UpdateEvent event)` Invoked when an attribute of the row has been changed.

Method Detail

### rangeRefreshed

    public void rangeRefreshed(RangeRefreshEvent event)

  Invoked when the range changes.
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(ScrollEvent event)

  Invoked when the range is scrolled.
  Parameters:
    `event` - a description of the new range.

### rowInserted

    public void rowInserted(InsertEvent event)

  Invoked when a row has been inserted.
  Parameters:
    `event` - a description of the new Row object.

### rowDeleted

    public void rowDeleted(DeleteEvent event)

  Invoked when a row has been deleted.
  Parameters:
    `event` - a description of the deleted Row object.

### rowUpdated

    public void rowUpdated(UpdateEvent event)

  Invoked when an attribute of the row has been changed.
  Parameters:
    `event` - a description of the modified Row object.

### navigated

    public void navigated(NavigationEvent event)

  Invoked when the current-row designation changes.
  Parameters:
    `event` - a description of the new and previous current rows.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD